// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com
// Description: rotate stepper motor in left direction by one step

#include "PWMState.h"
static StateAbstract* ptr;
extern DC_MOTOR_DATA_TYPE DCMotor;
static BYTE signal;

// ************************************
// * PWM State: initialization method *
// ************************************
void PWMStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
                        //    PS DT CMD
                        // 11 01 00 02
     ptr->Flags = 0xD2; // 11 01 00 10 binary

     ptr->DefaultStateMethod = &PWMStateMethod;
}

// *****************************
// * PWM State: default method *
// *****************************
static void PWMStateMethod( void* command ){
    // generate PWM signal
    if(DCMotor.RotationDirection == 0x00){
        if (DCMotor.ControlSignal == 0x00)
            DCMotor.ControlSignal = 0x01;
        else
            DCMotor.ControlSignal = 0x00;
    }
    else{
       if (DCMotor.ControlSignal == 0x00)
            DCMotor.ControlSignal = 0x02;
        else
            DCMotor.ControlSignal = 0x00;
    }
}