// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#ifndef _DATA_TYPE_
#define _DATA_TYPE_

typedef unsigned char BYTE ;
typedef char          SBYTE;
typedef unsigned      TIME ;

// Stepper motor data type
typedef struct {
    BYTE  ControlSignal    ;  // control signal register
    BYTE  RotationDirection;  // rotation direction
    TIME  TimeSlice        ;  // time value for speed motor regulation
} DC_MOTOR_DATA_TYPE;

#endif