// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com
// Description: rotate stepper motor in right direction by one step

#include "RotationDirectionState.h"
static StateAbstract* ptr;
extern DC_MOTOR_DATA_TYPE DCMotor;

// ***********************************************
// * Rotation Direction State: initialization method *
// ***********************************************
void RotationDirectionStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
                        //    PS DT CMD
                        // 11 01 00 02
     ptr->Flags = 0xD2; // 11 01 00 10 binary

     ptr->DefaultStateMethod = &RotationDirectionStateMethod;
}

// ********************************************
// * Rotation Direction State: default method *
// ********************************************
static void RotationDirectionStateMethod( void* command ){
    DCMotor.RotationDirection = ~DCMotor.RotationDirection;    // change rotation direction
}